<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>
   Copyright (C) 2007 David Grant <dave@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 require_once("common.inc.php");
 require_once("user.inc.php");
 require_once("user_page.inc.php");

 user_auth_required('committee');

 send_header("Committee Main", array());

 switch($_GET['notice']) {
 case 'password_changed':
 	echo happy(i18n('Your password has been successfully updated'));
	break;
 case 'already_logged_in':
 	echo error(i18n('You are already logged in, please use the [Logout] link in the upper right to logout'));
	break;
 case 'no_auth':
 	echo error(i18n('You do not have permission to view that page'));
	break;
 }

 //only display the named greeting if we have their name
 echo i18n("Hello <b>%1</b>",array($_SESSION['name']));
 echo "<br />";
 echo "<br />";

 echo i18n('Things you can do').':<br />';
 echo '<ul>';
 echo '<li><a href="user_personal.php">'.i18n('Edit My Profile').'</a></li>';
 if(committee_auth_has_access('admin')) {
	echo '<li><a href="admin/">'.i18n('Administer the Fair').'</a></li>';
 }
 if(committee_auth_has_access('config')) {
	 echo '<li><a href="config/">'.i18n('Configure SFIAB').'</a></li>';
 }
 echo '<li><a href="user_password.php">'.i18n('Change My Password').'</a></li>';
 echo '</ul>';

 send_footer();
?>
